summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilson E. Alvarez2020-04-13 12:33:17 -0400
committerWilson E. Alvarez2020-04-13 12:33:17 -0400
commite5b041598ad1db4eee5d9df6a9780069db2694e9 (patch)
treec0e3135b82152983f2f17b91b9d20f913cce847a
downloadaur-e5b041598ad1db4eee5d9df6a9780069db2694e9.tar.gz
Initial Commit
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD36
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4b66bc882d0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = vim-asyncomplete-lsp-git
+ pkgdesc = LSP source for asyncomplete.vim vim-lsp
+ pkgver = r26.5c470ae
+ pkgrel = 1
+ url = https://github.com/prabirshrestha/asyncomplete-lsp.vim.git
+ arch = any
+ groups = vim-plugins
+ license = Custom
+ depends = vim
+ depends = vim-asyncomplete-git
+ source = asyncomplete.vim::git+https://github.com/prabirshrestha/asyncomplete-lsp.vim.git
+ sha512sums = SKIP
+
+pkgname = vim-asyncomplete-lsp-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2742a4f35c5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Wilson E. Alvarez <wilson.e.alvarez1@gmail.com>
+# Contributor: Rodrigo Gryzinski <rogryza@gmail.com>
+
+_pkgname=asyncomplete.vim
+pkgname=vim-asyncomplete-lsp-git
+pkgver=r26.5c470ae
+pkgrel=1
+pkgdesc="LSP source for asyncomplete.vim vim-lsp"
+arch=('any')
+url="https://github.com/prabirshrestha/asyncomplete-lsp.vim.git"
+license=('Custom')
+depends=('vim' 'vim-asyncomplete-git')
+groups=('vim-plugins')
+source=("${_pkgname}::git+$url")
+sha512sums=('SKIP')
+
+pkgver()
+{
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/$_pkgname"
+
+ # TODO: Install license when available
+ #install -Dm 644 "$srcdir/LICENSE" "$pkgdir/usr/share/licenses/${_pkgname}/LICENSE"
+
+ # Install vimfiles
+ local vimfiles="$pkgdir/usr/share/vim/vimfiles"
+ mkdir -p "$vimfiles"
+ cp -dr --no-preserve=ownership plugin "$vimfiles"
+}